rust-criterion

Package information

State
ok

Scheduler parameters

Tracked by Koschei
True
Current priority
1089
Manual priority
0
Static priority
0
Arch override
None
Skip resolution
False

Configure scheduling

Tracked by Koschei
Manual priority
Skip resolution
Arch override
Cancel

Dependency changes since last build

rust-csv+default-devel
1.1.2-1.fc32
1.1.3-1.fc32
1
rust-csv-devel
1.1.2-1.fc32
1.1.3-1.fc32
2
libgcc
10.0.1-0.4.fc32
10.0.1-0.5.fc32
3
libstdc++
10.0.1-0.4.fc32
10.0.1-0.5.fc32
3
gcc
10.0.1-0.4.fc32
10.0.1-0.5.fc32
3
cpp
10.0.1-0.4.fc32
10.0.1-0.5.fc32
4
libgomp
10.0.1-0.4.fc32
10.0.1-0.5.fc32
4
elfutils-default-yama-scope
0.178-7.fc32
0.178-8.fc32
B
annobin
9.01-1.fc32
9.01-2.fc32
B
elfutils
0.178-7.fc32
0.178-8.fc32
B
elfutils-libelf
0.178-7.fc32
0.178-8.fc32
B
elfutils-libs
0.178-7.fc32
0.178-8.fc32
B
info
6.7-3.fc32
6.7-4.fc32
B

Most recent builds

cargo
1.40.0-2.fc32
1.40.0-3.fc32
2
rust
1.40.0-2.fc32
1.40.0-3.fc32
2
rust-proc-macro2+default-devel
1.0.7-1.fc32
1.0.8-1.fc32
3
gcc
9.2.1-1.fc32.3
10.0.1-0.4.fc32
3
rust-bstr+serde1-devel
0.2.9-1.fc32
0.2.10-1.fc32
3
rust-std-static
1.40.0-2.fc32
1.40.0-3.fc32
3
rust-bstr+default-devel
0.2.9-1.fc32
0.2.10-1.fc32
3
libstdc++
9.2.1-1.fc32.3
10.0.1-0.4.fc32
3
libgcc
9.2.1-1.fc32.3
10.0.1-0.4.fc32
3
glibc
2.30.9000-29.fc32
2.30.9000-31.fc32
3
llvm-libs
9.0.1-1.fc32
9.0.1-4.fc32
3
rust-bstr+std-devel
0.2.9-1.fc32
0.2.10-1.fc32
4
cpp
9.2.1-1.fc32.3
10.0.1-0.4.fc32
4
glibc-minimal-langpack
2.30.9000-29.fc32
2.30.9000-31.fc32
4
rust-proc-macro2+proc-macro-devel
1.0.7-1.fc32
1.0.8-1.fc32
4
glibc-devel
2.30.9000-29.fc32
2.30.9000-31.fc32
4
ca-certificates
2019.2.32-3.fc31
2020.2.40-2.fc32
4
glibc-common
2.30.9000-29.fc32
2.30.9000-31.fc32
4
rust-bstr-devel
0.2.9-1.fc32
0.2.10-1.fc32
4
rust-proc-macro2-devel
1.0.7-1.fc32
1.0.8-1.fc32
4
libgomp
9.2.1-1.fc32.3
10.0.1-0.4.fc32
4
rust-bstr+unicode-devel
0.2.9-1.fc32
0.2.10-1.fc32
4
rust-bstr+serde1-nostd-devel
0.2.9-1.fc32
0.2.10-1.fc32
4
binutils
2.33.1-11.fc32
2.33.1-12.fc32
4
python3-six
1.12.0-7.fc32
1.14.0-1.fc32
B
glibc-headers
2.30.9000-29.fc32
2.30.9000-31.fc32
B
binutils-gold
2.33.1-11.fc32
2.33.1-12.fc32
B
libselinux
3.0-1.fc32
3.0-2.fc32
B
p11-kit
0.23.18.1-1.fc32
0.23.19-1.fc32
B
shadow-utils
2:4.6-16.fc32
2:4.8-2.fc32
B
annobin
8.92-1.fc32
9.01-1.fc32
B
libxcrypt-devel
4.4.10-2.fc32
4.4.11-1.fc32
B
util-linux
2.35-0.5.fc32
2.35-1.fc32
B
libtool-ltdl
2.4.6-31.fc31
2.4.6-32.fc32
B
rust-memchr+use_std-devel
2.2.1-3.fc32
2.3.0-1.fc32
B
rust-memchr-devel
2.2.1-3.fc32
2.3.0-1.fc32
B
kernel-headers
5.5.0-0.rc6.git0.1....
5.5.0-0.rc7.git0.1....
B
rust-memchr+libc-devel
2.2.1-3.fc32
2.3.0-1.fc32
B
libblkid
2.35-0.5.fc32
2.35-1.fc32
B
redhat-rpm-config
146-1.fc32
148-1.fc32
B
libsmartcols
2.35-0.5.fc32
2.35-1.fc32
B
libxcrypt
4.4.10-2.fc32
4.4.11-1.fc32
B
libsemanage
3.0-1.fc32
3.0-2.fc32
B
libuuid
2.35-0.5.fc32
2.35-1.fc32
B
libfdisk
2.35-0.5.fc32
2.35-1.fc32
B
rust-num_cpus+default-devel
1.11.1-1.fc32
1.12.0-1.fc32
B
libmount
2.35-0.5.fc32
2.35-1.fc32
B
sqlite-libs
3.30.1-2.fc32
3.30.1-3.fc32
B
rust-num_cpus-devel
1.11.1-1.fc32
1.12.0-1.fc32
B
rust-memchr+std-devel
2.3.0-1.fc32
B
tzdata
2019c-1.fc32
2019c-2.fc32
B
p11-kit-trust
0.23.18.1-1.fc32
0.23.19-1.fc32
B
rust-walkdir+default-devel
2.2.9-1.fc32
2.3.1-1.fc32
1
rust-num-traits+default-devel
0.2.10-1.fc32
0.2.11-1.fc32
1
rust-rand+default-devel
0.7.2-2.fc32
0.7.3-1.fc32
1
rust-rand-devel
0.7.2-2.fc32
0.7.3-1.fc32
2
rust-num-traits-devel
0.2.10-1.fc32
0.2.11-1.fc32
2
rust-walkdir-devel
2.2.9-1.fc32
2.3.1-1.fc32
2
rust-rand+std-devel
0.7.2-2.fc32
0.7.3-1.fc32
2
rust-num-traits+std-devel
0.2.10-1.fc32
0.2.11-1.fc32
2
rust-syn+default-devel
1.0.11-1.fc32
1.0.13-1.fc32
3
rust-rand+getrandom-devel
0.7.2-2.fc32
0.7.3-1.fc32
3
rust-autocfg+default-devel
0.1.7-1.fc32
1.0.0-1.fc32
3
rust-syn+visit-devel
1.0.11-1.fc32
1.0.13-1.fc32
3
rust-rand+alloc-devel
0.7.2-2.fc32
0.7.3-1.fc32
3
rust-same-file+default-devel
1.0.5-1.fc32
1.0.6-1.fc32
3
rust-rand+getrandom_package-devel
0.7.2-2.fc32
0.7.3-1.fc32
4
rust-syn+clone-impls-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-same-file-devel
1.0.5-1.fc32
1.0.6-1.fc32
4
rust-syn-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-autocfg-devel
0.1.7-1.fc32
1.0.0-1.fc32
4
rust-syn+derive-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-syn+printing-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-syn+parsing-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-syn+proc-macro-devel
1.0.11-1.fc32
1.0.13-1.fc32
4
rust-crossbeam-utils+default-devel
0.7.0-1.fc32
0.7.0-2.fc32
B
gc
7.6.4-6.fc31
8.0.4-2.fc32
B
rust-crossbeam-epoch-devel
0.8.0-1.fc32
0.8.0-2.fc32
B
rust-crossbeam-utils+std-devel
0.7.0-1.fc32
0.7.0-2.fc32
B
rust-crossbeam-utils-devel
0.7.0-1.fc32
0.7.0-2.fc32
B
zstd
1.4.2-1.fc31
1.4.4-1.fc32
B
libzstd
1.4.2-1.fc31
1.4.4-1.fc32
B
rust-crossbeam-epoch+default-devel
0.8.0-1.fc32
0.8.0-2.fc32
B
rust-crossbeam-epoch+std-devel
0.8.0-1.fc32
0.8.0-2.fc32
B
shadow-utils
2:4.8-1.fc32
2:4.6-16.fc32
B
libatomic_ops
7.6.10-2.fc31
2020-01-15 20:38:46
Package dependencies resolved successfuly
2020-01-15 20:21:03
Package resolution failed
  • Problem: package rust-crossbeam-deque+default-devel-0.7.2-1.fc32.noarch requires crate(crossbeam-deque) = 0.7.2, but none of the providers can be installed
    - package rust-rayon-devel-1.3.0-1.fc32.noarch requires (crate(crossbeam-deque/default) >= 0.7.2 with crate(crossbeam-deque/default) < 0.8.0), but none of the providers can be installed
    - package rust-crossbeam-deque-devel-0.7.2-1.fc32.noarch requires (crate(crossbeam-epoch/default) >= 0.8.0 with crate(crossbeam-epoch/default) < 0.9.0), but none of the providers can be installed
    - package rust-rayon+default-devel-1.3.0-1.fc32.noarch requires crate(rayon) = 1.3.0, but none of the providers can be installed
    - package rust-crossbeam-epoch+default-devel-0.8.0-1.fc32.noarch requires crate(crossbeam-epoch) = 0.8.0, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(autocfg/default) >= 0.1.6 with crate(autocfg/default) < 0.2.0) needed by rust-crossbeam-epoch-devel-0.8.0-1.fc32.noarch
2020-01-15 18:51:59
Package resolution failed
  • Problem: package rust-rayon-core+default-devel-1.7.0-1.fc32.noarch requires crate(rayon-core) = 1.7.0, but none of the providers can be installed
    - package rust-rayon-devel-1.3.0-1.fc32.noarch requires (crate(rayon-core/default) >= 1.7.0 with crate(rayon-core/default) < 2.0.0), but none of the providers can be installed
    - package rust-rayon-core-devel-1.7.0-1.fc32.noarch requires (crate(crossbeam-utils/default) >= 0.7.0 with crate(crossbeam-utils/default) < 0.8.0), but none of the providers can be installed
    - package rust-rayon+default-devel-1.3.0-1.fc32.noarch requires crate(rayon) = 1.3.0, but none of the providers can be installed
    - package rust-crossbeam-utils+default-devel-0.7.0-1.fc32.noarch requires crate(crossbeam-utils) = 0.7.0, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(autocfg/default) >= 0.1.6 with crate(autocfg/default) < 0.2.0) needed by rust-crossbeam-utils-devel-0.7.0-1.fc32.noarch
2020-01-15 18:37:02
Package resolution failed
  • Problem: package rust-approx+default-devel-0.3.2-4.fc31.noarch requires crate(approx) = 0.3.2, but none of the providers can be installed
    - package rust-approx-devel-0.3.2-4.fc31.noarch requires (crate(num-traits) >= 0.2.0 with crate(num-traits) < 0.3.0), but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(autocfg/default) >= 0.1.3 with crate(autocfg/default) < 0.2.0) needed by rust-num-traits-devel-0.2.10-1.fc32.noarch
  • Problem: package rust-rayon-core+default-devel-1.7.0-1.fc32.noarch requires crate(rayon-core) = 1.7.0, but none of the providers can be installed
    - package rust-rayon-devel-1.3.0-1.fc32.noarch requires (crate(rayon-core/default) >= 1.7.0 with crate(rayon-core/default) < 2.0.0), but none of the providers can be installed
    - package rust-rayon-core-devel-1.7.0-1.fc32.noarch requires (crate(crossbeam-utils/default) >= 0.7.0 with crate(crossbeam-utils/default) < 0.8.0), but none of the providers can be installed
    - package rust-rayon+default-devel-1.3.0-1.fc32.noarch requires crate(rayon) = 1.3.0, but none of the providers can be installed
    - package rust-crossbeam-utils+default-devel-0.7.0-1.fc32.noarch requires crate(crossbeam-utils) = 0.7.0, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(autocfg/default) >= 0.1.6 with crate(autocfg/default) < 0.2.0) needed by rust-crossbeam-utils-devel-0.7.0-1.fc32.noarch
  • Problem: package rust-num-traits+default-devel-0.2.10-1.fc32.noarch requires crate(num-traits) = 0.2.10, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(autocfg/default) >= 0.1.3 with crate(autocfg/default) < 0.2.0) needed by rust-num-traits-devel-0.2.10-1.fc32.noarch
rust-atty+default-devel
0.2.13-1.fc32
0.2.14-1.fc32
1
rust-quickcheck-devel
0.9.0-1.fc32
0.9.2-1.fc32
1
cargo
1.40.0-1.fc32
1.40.0-2.fc32
2
rust-atty-devel
0.2.13-1.fc32
0.2.14-1.fc32
2
rust
1.40.0-1.fc32
1.40.0-2.fc32
2
rust-bstr+serde1-devel
0.2.8-2.fc32
0.2.9-1.fc32
3
rust-std-static
1.40.0-1.fc32
1.40.0-2.fc32
3
rust-proc-macro2+default-devel
1.0.6-1.fc32
1.0.7-1.fc32
3
rust-bstr+default-devel
0.2.8-2.fc32
0.2.9-1.fc32
3
libcurl
7.67.0-2.fc32
7.68.0-1.fc32
3
rust-bstr+std-devel
0.2.8-2.fc32
0.2.9-1.fc32
4
krb5-libs
1.17.1-3.fc32
1.17.1-5.fc32
4
binutils
2.33.1-10.fc32
2.33.1-11.fc32
4
rust-bstr+unicode-devel
0.2.8-2.fc32
0.2.9-1.fc32
4
rust-proc-macro2-devel
1.0.6-1.fc32
1.0.7-1.fc32
4
crypto-policies
20191128-2.gitcd267a5....
20191128-4.gitcd267a5....
4
rust-bstr+serde1-nostd-devel
0.2.8-2.fc32
0.2.9-1.fc32
4
libcom_err
1.45.4-1.fc32
1.45.5-1.fc32
4
rust-proc-macro2+proc-macro-devel
1.0.6-1.fc32
1.0.7-1.fc32
4
rust-bstr-devel
0.2.8-2.fc32
0.2.9-1.fc32
4
elfutils-default-yama-scope
0.178-6.fc32
0.178-7.fc32
B
rpm-build-libs
4.15.1-1.fc32
4.15.1-2.fc32
B
libfdisk
2.35-0.4.fc32
2.35-0.5.fc32
B
libsmartcols
2.35-0.4.fc32
2.35-0.5.fc32
B
elfutils-libelf
0.178-6.fc32
0.178-7.fc32
B
libuuid
2.35-0.4.fc32
2.35-0.5.fc32
B
curl
7.67.0-2.fc32
7.68.0-1.fc32
B
rpm
4.15.1-1.fc32
4.15.1-2.fc32
B
kernel-headers
5.5.0-0.rc5.git0.1....
5.5.0-0.rc6.git0.1....
B
rpm-build
4.15.1-1.fc32
4.15.1-2.fc32
B
libblkid
2.35-0.4.fc32
2.35-0.5.fc32
B
sqlite-libs
3.30.1-1.fc32
3.30.1-2.fc32
B
elfutils-libs
0.178-6.fc32
0.178-7.fc32
B
shadow-utils
2:4.6-16.fc32
2:4.8-1.fc32
B
rpm-libs
4.15.1-1.fc32
4.15.1-2.fc32
B
libmount
2.35-0.4.fc32
2.35-0.5.fc32
B
elfutils
0.178-6.fc32
0.178-7.fc32
B
binutils-gold
2.33.1-10.fc32
2.33.1-11.fc32
B
info
6.7-2.fc32
6.7-3.fc32
B
util-linux
2.35-0.4.fc32
2.35-0.5.fc32
B
pcre2
10.34-3.fc32
10.34-4.fc32
B
rust-csv+default-devel
1.1.1-2.fc31
1.1.2-1.fc32
1
rust-rayon+default-devel
1.2.1-1.fc32
1.3.0-1.fc32
1
rust-getrandom+default-devel
0.1.13-2.fc32
0.1.14-1.fc32
2
rust-rayon-devel
1.2.1-1.fc32
1.3.0-1.fc32
2
rust-csv-devel
1.1.1-2.fc31
1.1.2-1.fc32
2
rust-getrandom-devel
0.1.13-2.fc32
0.1.14-1.fc32
3
glibc
2.30.9000-27.fc32
2.30.9000-29.fc32
3
rust-getrandom+std-devel
0.1.13-2.fc32
0.1.14-1.fc32
4
python3-babel
2.7.0-7.fc32
2.8.0-1.fc32
4
libedit
3.1-30.20191211cv...
3.1-31.20191231cv...
4
krb5-libs
1.17.1-2.fc32
1.17.1-3.fc32
4
glibc-minimal-langpack
2.30.9000-27.fc32
2.30.9000-29.fc32
4
glibc-common
2.30.9000-27.fc32
2.30.9000-29.fc32
4
glibc-devel
2.30.9000-27.fc32
2.30.9000-29.fc32
4
glibc-headers
2.30.9000-27.fc32
2.30.9000-29.fc32
B
python-pip-wheel
19.2.3-2.fc32
19.3.1-1.fc32
B
kernel-headers
5.5.0-0.rc3.git0.1....
5.5.0-0.rc5.git0.1....
B
libxml2
2.9.10-1.fc32
2.9.10-2.fc32
B
Previous history